{
  "kind": "collectionType",
  "collectionName": "appointments",
  "info": {
    "singularName": "appointment",
    "pluralName": "appointments",
    "displayName": "appointment"
  },
  "options": {
    "draftAndPublish": true
  },
  "pluginOptions": {
    "i18n": {
      "localized": true
    }
  },
  "attributes": {
    "name": {
      "type": "string",
      "pluginOptions": {
        "i18n": {
          "localized": true
        }
      }
    },
    "phone": {
      "type": "string",
      "pluginOptions": {
        "i18n": {
          "localized": true
        }
      }
    },
    "appointmentDate": {
      "type": "date",
      "pluginOptions": {
        "i18n": {
          "localized": true
        }
      }
    },
    "branch": {
      "type": "string",
      "pluginOptions": {
        "i18n": {
          "localized": true
        }
      }
    },
    "state": {
      "type": "enumeration",
      "pluginOptions": {
        "i18n": {
          "localized": true
        }
      },
      "enum": [
        "pending",
        "confirm",
        "cancelled"
      ]
    }
  }
}
